aiengine: xaietile_mem.c File Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

xaietile_mem.c File Reference

## Overview

This file contains routines for the AIE Tile memory control.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0  Naresh  04/18/2018  Initial creation to fix CR#1000217
    1.1  Naresh  07/11/2018  Updated copyright info and addressed CR#1006589
    1.2  Nishad  12/05/2018  Renamed ME attributes to AIE
    1.3  Hyun    06/27/2019  Add XAieTile_MemReadTimer()

void | XAieTile_DmWriteWord (XAieGbl_Tile *TileInstPtr, u32 DmOffset, u32 DmVal)
| This API writes a 32-bit value to the specified data memory location for the selected tile. More...
u32 | XAieTile_DmReadWord (XAieGbl_Tile *TileInstPtr, u32 DmOffset)
| This API reads a 32-bit value from the specified data memory location for the selected tile. More...
u64 | XAieTile_MemReadTimer (XAieGbl_Tile *TileInstPtr)
| This API returns the current value of the Memory module 64-bit timer. More...

## Function Documentation

u32 XAieTile_DmReadWord | ( | XAieGbl_Tile * | TileInstPtr,
|  | u32 | DmOffset
| ) |  |

This API reads a 32-bit value from the specified data memory location for the selected tile.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  DmOffset | - Data memory offset to write to.

Returns
  32-bit Value.

Note
  None.

References XAieGbl_Tile::TileAddr.

void XAieTile_DmWriteWord | ( | XAieGbl_Tile * | TileInstPtr,
|  | u32 | DmOffset,
|  | u32 | DmVal
| ) |  |

This API writes a 32-bit value to the specified data memory location for the selected tile.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  DmOffset | - Data memory offset to write to.
  DmVal | - 32-bit Value to be written.

Returns
  None.

Note
  None.

References XAieGbl_Tile::TileAddr.

Referenced by main().

u64 XAieTile_MemReadTimer | ( | XAieGbl_Tile * | TileInstPtr | ) |

This API returns the current value of the Memory module 64-bit timer.

Parameters

  TileInstPtr | - Pointer to the Tile instance.

Returns
  64-bit timer value.

Note
  None.

References XAieGbl_RegTimer::HighOff, XAieGbl_RegTimer::LowOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.